# DFTGrid

class `psi4.core.``DFTGrid`

  Bases: `psi4.core.MolecularGrid`

  docstring

  Methods Summary

  `build`(*args, **kwargs) | Overloaded function.

  Methods Documentation

  `build`(*args, **kwargs)

    Overloaded function.

    1. build(arg0: psi4.core.Molecule, arg1: psi4.core.BasisSet) -> psi4.core.DFTGrid
    2. build(arg0: psi4.core.Molecule, arg1: psi4.core.BasisSet, arg2: Dict[str, int], arg3: Dict[str, str]) -> psi4.core.DFTGrid
  `blocks`(self: psi4.core.MolecularGrid) → List[psi4.core.BlockOPoints]

    Returns a list of blocks.

  `build`(*args, **kwargs)

    Overloaded function.

    1. build(arg0: psi4.core.Molecule, arg1: psi4.core.BasisSet) -> psi4.core.DFTGrid
    2. build(arg0: psi4.core.Molecule, arg1: psi4.core.BasisSet, arg2: Dict[str, int], arg3: Dict[str, str]) -> psi4.core.DFTGrid
  `collocation_size`(self: psi4.core.MolecularGrid) → int

    Returns the total collocation size of all blocks.

  `max_functions`(self: psi4.core.MolecularGrid) → int

    Returns the maximum number of functions in a block.

  `max_points`(self: psi4.core.MolecularGrid) → int

    Returns the maximum number of points in a block.

  `npoints`(self: psi4.core.MolecularGrid) → int

    Returns the number of grid points.

  `orientation`(self: psi4.core.MolecularGrid) → psi4.core.Matrix

    Returns the orientation of the grid.

  `print`(self: psi4.core.MolecularGrid, arg0: str, arg1: int) → None

    Prints grid information.